> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Access Token

> Exchange authorization code for access token.

Exchange the authorization code for an access token


## OpenAPI

````yaml POST /auth/token
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /auth/token:
    post:
      description: Exchange authorization code for access token.
      parameters:
        - name: x-chart-async
          in: header
          required: false
          schema:
            type: string
            enum:
              - 'true'
          description: >-
            When set to 'true', the API returns immediately after pulling
            documents from the provider without waiting for parsing to complete.
            You must wait for taxpayer_status to change to COMPLETED via
            webhooks before accessing parsed JSON data.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                client_secret:
                  type: string
                code:
                  type: string
                redirect_uri:
                  type: string
                  description: redirect_uri is optional for the embedded SDK flow.
              required:
                - client_id
                - client_secret
                - code
      responses:
        '200':
          description: Token Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  taxpayer_id:
                    type: string
                  provider_id:
                    type: string
                    enum:
                      - turbotax
                      - hr
                      - taxact
                      - tax_slayer
                      - jackson
                      - free_tax_usa
                      - irs
                      - irs_tax_pro
                      - pilot
                      - cch_axcess
                      - drake
                      - proconnect
                      - chart-sandbox
                  access_token:
                    type: string
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.

````